@ECHO OFF
CLS

ECHO               **************************************************
ECHO               * OpenGEM Version 1.2.0 PATCH                    *
ECHO               *                                                *
ECHO               * OpenGEM Version 1.2.0                          *
ECHO               * Based on FreeGEM distro 1.2 by Owen Rudge      *
ECHO               * Copyright (c) 1987 Digital Research, Inc.      *
ECHO               * Copyright (c) 1999 Caldera Thin Clients, Inc.  *
ECHO               * Copyright (c) 1999-2002 FreeGEM Programmers    *
ECHO               * Copyright (c) 2000-2001 Owen Rudge             *
ECHO               * Copyright (c) 2001-2002 Shane Land             *
ECHO               * gem@shaneland.co.uk for comments               *
ECHO               * http://gem.shaneland.co.uk for information     *
ECHO               *                                                *
ECHO               **************************************************
ECHO               * Update OpenGEM 1.1.0 to 1.2.0 patch            *
ECHO               **************************************************
ECHO.
ECHO                        Press any key to start patch...
PAUSE > NUL
CLS

REM =====================================
REM Start taking old files out of OpenGEM
REM =====================================


REM Remove old *.DOC and *.TXT files from C:\GEMAPPS\DOCS
CD\
CD GEMAPPS
CD DOCS
DEL *.DOC
DEL *.TXT
CD\
CLS

REM Remove old GEM.BAT file from C:\
CD\
DEL GEM.BAT
CD\
CLS

REM Remove old README.TXT from C:\
CD\
DEL README.TXT
CD\
CLS

REM Remove old DESKTOP.* files from C:\GEMAPPS\GEMSYS
CD\
CD GEMAPPS
CD GEMSYS
DEL DESKTOP.APP
DEL DESKTOP.INF
DEL DESKTOP.RSC
CD\
CLS

REM Remove old C:\DOCUMENT\TUTORIAL files
CD\
CD DOCUMENT
CD TUTORIAL
DEL *.DOC
DEL *.FMT
DEL *.GEM
CD..
RD TUTORIAL
CD..
RD DOCUMENT
CD\
CLS


REM ====================================
REM Start putting new files into OpenGEM
REM ====================================

REM Put GEM.BAT and README.TXT into OpenGEM
CD GEMPATCH
COPY README.TXT C:\
COPY GEM.BAT C:\
CLS
DEL README.TXT
DEL GEM.BAT
CD\
CLS

REM Put new C:\GEMAPPS\DOCS folder (with files) into OpenGEM
CD GEMPATCH
CD DOCS
COPY *.* C:\GEMAPPS\DOCS
CLS
DEL *.DOC
CD..
RD DOCS
CD\
CLS

REM Put new C:\GEMAPPS\HELPZONE\MISC folder (with files) into OpenGEM
CD GEMAPPS
MD HELPZONE
CD HELPZONE
MD MISC
CD\
CD GEMPATCH
CD HELPZONE
CD MISC
COPY *.* C:\GEMAPPS\HELPZONE\MISC
CLS
DEL *.TXT
CD..
RD MISC
CD\
CLS

REM Put new C:\GEMAPPS\HELPZONE\ folder (with files) into OpenGEM
CD GEMPATCH
CD HELPZONE
COPY *.TXT C:\GEMAPPS\HELPZONE
CLS
DEL *.TXT
CD..
RD HELPZONE
CD\
CLS

REM Put new DESKTOP.* files into OpenGEM
CD GEMPATCH
COPY DESKTOP.* C:\GEMAPPS\GEMSYS
CLS
DEL DESKTOP.*
CD\
CLS

REM Put new C:\DOCUMENT\TUTORIAL files into OpenGEM
MD DOCUMENT
CD DOCUMENT
MD TUTORIAL
CD\
CD GEMPATCH
CD DOCUMENT
CD TUTORIAL
COPY *.DOC C:\DOCUMENT\TUTORIAL
COPY *.FMT C:\DOCUMENT\TUTORIAL
COPY *.GEM C:\DOCUMENT\TUTORIAL
CLS
DEL *.DOC
DEL *.FMT
DEL *.GEM
CD..
RD TUTORIAL
CD.. 
RD DOCUMENT
CD\
CLS


ECHO               **************************************************
ECHO               * Update OpenGEM 1.1.0 to 1.2.0 patch is now     *
ECHO               * finished.                                      *
ECHO               *                                                *
ECHO               * http://gem.shaneland.co.uk for information     *
ECHO               * and future updates.                            *
ECHO               **************************************************
ECHO.